<div class="main-map" ng-class="{ 'mapa-embedded' : !full }">
  <comentario-directive entity="shapeAComentar"></comentario-directive>
  <intro-directive></intro-directive>
  <div id="map" class="sidebar-map">
    <div id="sidebar" class="sidebar mapa-sidebar collapsed col-sm-12">
      <uib-accordion close-others="true">
        <div uib-accordion-group class="panel-default left-controls" heading="Filtros" id='menu_filtros'>
          <div class="scrollit-table">
            <uib-accordion-heading>
              <span class="fa-stack fa-lg">
            <i class="fa fa-circle-thin fa-stack-2x"></i>
            <i class="fa fa-filter fa-stack-1x" aria-hidden="true"></i>
          </span> Filtros
              <i class="pull-right glyphicon expand-icon" ng-class="{'glyphicon-chevron-up': visibleFiltros, 'glyphicon-chevron-down': !visibleFiltros}"></i>
            </uib-accordion-heading>
            <div class="search-body scrollable-content">
              <mapa-filtro filtro="filtro" base="defaultFiltros"></mapa-filtro>
            </div>
            <hr class="horizontal-sep scrollable-content" />
            <form class="scrollable-content">
              <h4>Listado de obras
                <div class="btn-group pull-right" ng-show="obras.length">
                  <a type="button" class="btn btn-primary btn-xs" ng-click="csv()" data-toggle="tooltip" title="Descargar CSV"><i class="fa fa-file-excel-o fa-1x" aria-hidden="true"></i></a>
                  <a type="button" class="btn btn-primary btn-xs" ng-click="json()" data-toggle="tooltip" title="Descargar JSON"><i class="fa fa-file-code-o fa-1x" aria-hidden="true"></i></a>
                  <a type="button" class="btn btn-primary btn-xs" ng-click="pdf()" data-toggle="tooltip" title="Descargar PDF"><i class="fa fa-file-pdf-o fa-1x" aria-hidden="true"></i></a>
                </div>
              </h4>

              <table class="table table-striped" id="main-table">
                <thead>
                  <th>Nombre</th>

                </thead>
                <tbody>
                  <tr ng-repeat="obra in obrasListado">
                    <td>{{ $index + 1 }}. {{ obra.descripcion }}</td>
                  </tr>
                </tbody>
              </table>
              <p ng-show="!obras.length">Ninguna obra encontrada</p>
              <p ng-show="obrasListado.length">Mostrando <b>{{obrasListado.length}}</b> registros</p>

            </form>
          </div>
        </div>
        <div uib-accordion-group class="fadein panel-default left-controls" heading="Detalles" is-open="status.open" id="menu_detalle" ng-if="currentShape.id">
          <div class="scrollit-table">
            <uib-accordion-heading>

              <span class="fa-stack fa-lg">
              <i class="fa fa-circle-thin fa-stack-2x"></i>
              <i class="fa fa-info fa-stack-1x" aria-hidden="true"></i>
            </span>
              <span ng-if="!currentShape.id">Seleccione un elemento del mapa</span>
              <span ng-if="currentShape.id">Detalles</span>
              <i class="pull-right glyphicon expand-icon" ng-class="{'glyphicon-chevron-up': status.open, 'glyphicon-chevron-down': !status.open}" ng-if="currentShape.id"></i>
            </uib-accordion-heading>
            <div class="detail-card" ng-if="currentShape.id">
              <shape entity="currentShape" ng-if="shapeGlobal.seleccionado"></shape>
            </div>
            <br>
            <center><button ng-if="currentShape.id" class="btn btn-success" type="button" onclick="clickBotonObraComentario()">Realizar comentario</button></center>
          </div>
        </div>

      </uib-accordion>

    </div>
    <div id="loading">
      <div ng-if="cargando" class="animate-if">
        <label><i class="fa fa-cog fa-spin fa-4x fa-fw"></i>
      <span class="sr-only">Loading...</span></label>
      </div>
    </div>

    <div id="api-link">
      <div>
        <a href="http://api.mawio.net" target="_blank"><h4>API</h4></a>
      </div>
    </div>

    <div id="ayuda">
      <div>
        <a href="" ng-click="initIntro()" class="fa fa-question-circle fa-3x"></a>
      </div>
    </div>

    <div id="legend">

      <div ng-if="legendVisible" class="animate-if scrollit-table">
        <br>
        <div ng-repeat="tipo in tipos">
          <i style="background:{{ tipo.color }}"></i> {{ tipo.descripcion}}
        </div>
        <span>______________________</span>
        <br>
        <h5 style="text-align:center;">
        Estado de obra
      </h5>
        <br>
        <table>
          <tr ng-repeat="estado in estados">
            <td>
              <label>{{ estado.descripcion }}</label>
            </td>
            <td>&nbsp&nbsp&nbsp
              <svg height="10" width="50">
              <line stroke-dasharray="{{ estado.codigoLinea }}" x1="0" y1="0" x2="100" y2="0" style="stroke:rgb(0,0,0);stroke-width:5" />
            </svg>
            </td>
          </tr>
        </table>
      </div>
      <div>
        <button class="btn btn-default pull-right" type="button" ng-click="legendVisible = !legendVisible">
          <i class="pull-right glyphicon expand-icon"
            ng-class="{'glyphicon-chevron-up': !legendVisible, 'glyphicon-chevron-down': legendVisible}">
          </i>
          Referencia&nbsp&nbsp&nbsp&nbsp
        </button>
      </div>
    </div>

  </div>

</div>
